//---------------------------------------------------------------------------

#ifndef RemailerDocsH
#define RemailerDocsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------

class TRemailerDoc : public TObject
{
public:
   bool ok;
   TRichEdit *ed;
   TStrings *Lines;
   AnsiString Source, Name, ModifiedDate;
   //__fastcall virtual TRemailerDoc();
   __fastcall virtual TRemailerDoc(const AnsiString &Source, TRichEdit *Doc);
   __fastcall virtual~TRemailerDoc();
   virtual bool __fastcall IsVersion2Stats(); // for mlist.txt and rlist.txt only
   virtual bool __fastcall IsTooOld();
   virtual bool __fastcall IsValid();
};

// mlist.txt
class TMixMListTxt : public TRemailerDoc
{
public:
   __fastcall TMixMListTxt(const AnsiString &Source, TRichEdit *Doc);
   bool __fastcall IsVersion2Stats();
   bool __fastcall IsTooOld();
   bool __fastcall IsValid();
};

// pubring.mix
class TMixPubringMix : public TRemailerDoc
{
public:
   __fastcall TMixPubringMix(const AnsiString &Source, TRichEdit *Doc);
   bool __fastcall IsTooOld();
   bool __fastcall IsValid();
};

// type2.list
class TMixType2List : public TRemailerDoc
{
public:
   __fastcall TMixType2List(const AnsiString &Source, TRichEdit *Doc);
   bool __fastcall IsTooOld();
   bool __fastcall IsValid();
};

// rlist.txt
class TCpkRListTxt : public TRemailerDoc
{
public:
   __fastcall TCpkRListTxt(const AnsiString &Source, TRichEdit *Doc);
   bool __fastcall IsVersion2Stats();
   bool __fastcall IsTooOld();
   bool __fastcall IsValid();
};

// pubring.asc
class TCpkPubringAsc : public TRemailerDoc
{
public:
   __fastcall TCpkPubringAsc(const AnsiString &Source, TRichEdit *Doc);
   bool __fastcall IsTooOld();
   bool __fastcall IsValid();
};

// advisory.txt
class TQSAdvisoryTxt : public TRemailerDoc
{
public:
   __fastcall TQSAdvisoryTxt(const AnsiString &Source, TRichEdit *Doc);
   bool __fastcall IsTooOld();
   bool __fastcall IsValid();
};

// statsurls.txt
class TQSUrlsTxt : public TRemailerDoc
{
public:
   __fastcall TQSUrlsTxt(const AnsiString &Source, TRichEdit *Doc);
   bool __fastcall IsTooOld();
   bool __fastcall IsValid();
};

// nymservers.asc
class TQSNymServerAsc : public TRemailerDoc
{
public:
   __fastcall TQSNymServerAsc(const AnsiString &Source, TRichEdit *Doc);
   bool __fastcall IsTooOld();
   bool __fastcall IsValid();
};

// mail2news.txt
class TQSMail2newsTxt : public TRemailerDoc
{
public:
   __fastcall TQSMail2newsTxt(const AnsiString &Source, TRichEdit *Doc);
   bool __fastcall IsTooOld();
   bool __fastcall IsValid();
};

// fromhead.txt
/*class TQSFromHeadTxt : public TRemailerDoc
{
public:
   __fastcall TQSFromHeadTxt(const AnsiString &Source, TRichEdit *Doc);
   bool __fastcall IsTooOld();
   bool __fastcall IsValid();
};*/

//---------------------------------------------------------------------------
#endif
